<?php
// Character.php


/**
 * Convenience class for temporary storage and easy access of character information from the member model.
 *
 * @author Matthew Lindberg
 */
class Character
{
	var $characterid;
	var $name;
	var $race;
	var $raceid;
	var $class;
	var $classid;
	var $characterimg;
	var $server;
	var $serverid;
	var $sex;
	var $level;
	var $thottbotenabled;
	
	function Character($characterid,$name,$race,$raceid,$class,$classid,$characterimg,$server,$serverid,$sex,$level,$thottbotenabled)
	{
		$this->characterid 		= $characterid;
		$this->name 			= $name;
		$this->race 			= $race;
		$this->raceid			= $raceid;
		$this->class 			= $class;
		$this->classid			= $classid;
		$this->characterimg 	= $characterimg;
		$this->server 			= $server;
		$this->serverid			= $serverid;
		$this->sex 				= $sex;
		$this->level 			= $level;
		$this->thottbotenabled 	= $thottbotenabled;
	}
	
	function getCharacterID()
	{
		return $this->characterid;
	}
	
	function getName()
	{
		return $this->name;
	}
	
	function getRace()
	{ 
		return $this->race;
	}
	
	function getRaceID()
	{
		return $this->raceid;
	}
	
	function getClass()
	{
		return $this->class;
	}
	
	function getClassID()
	{
		return $this->classid;
	}
	
	function getCharacterImg()
	{
		return $this->characterimg;
	}
	
	function getServer()
	{
		return $this->server;
	}
	
	function getServerID()
	{
	}
	
	function getSex()
	{
		return $this->sex;
	}
	
	function getLevel()
	{
		return $this->level;
	}
	
	function isThottbotEnabled()
	{
		return $this->thottbotenabled;
	}
}

?>